# Uses of Class
org.eclipse.emf.compare.provider.utils.IStyledString.Style

Packages that use IStyledString.Style
Package
Description
org.eclipse.emf.compare.provider.utils

## Uses of IStyledString.Style in org.eclipse.emf.compare.provider.utils

Fields in org.eclipse.emf.compare.provider.utils declared as IStyledString.Style
Modifier and Type
Field
Description
`static final IStyledString.Style`
IStyledString.Style.`COUNTER_STYLER`
Constant that will eventually map to org.eclipse.jface.viewers.StyledString.COUNTER_STYLER.
`static final IStyledString.Style`
IStyledString.Style.`DECORATIONS_STYLER`
Constant that will eventually map to org.eclipse.jface.viewers.StyledString.DECORATIONS_STYLER.
`static final IStyledString.Style`
IStyledString.Style.`NO_STYLE`
Instance that represent a default unstyled string.
`static final IStyledString.Style`
IStyledString.Style.`QUALIFIER_STYLER`
Constant that will eventually map to org.eclipse.jface.viewers.StyledString.QUALIFIER_STYLER.
Methods in org.eclipse.emf.compare.provider.utils that return IStyledString.Style
Modifier and Type
Method
Description
`IStyledString.Style`
IStyledString.Style.StyleBuilder.`build()`
Builds and returns a new Style instance regarding the values that have been given beforehands.
`IStyledString.Style`
IStyledString.`getStyle()`
Returns the style associated with this string.
Methods in org.eclipse.emf.compare.provider.utils with parameters of type IStyledString.Style
Modifier and Type
Method
Description
`IStyledString.IComposedStyledString`
ComposedStyledString.`append(String str, IStyledString.Style style)`
Append the given string with the given style.
`IStyledString.IComposedStyledString`
IStyledString.IComposedStyledString.`append(String str, IStyledString.Style style)`
Append the given string with the given style.
Constructors in org.eclipse.emf.compare.provider.utils with parameters of type IStyledString.Style
Modifier
Constructor
Description
``
`ComposedStyledString(String text, IStyledString.Style style)`
Creates a new instance with the given text and the given style.